Package de.gebit.integrity.eclipse.classpath

## Class IntegrityClasspathContainerInitializer

- java.lang.Object
- - org.eclipse.jdt.core.ClasspathContainerInitializer
  - - de.gebit.integrity.eclipse.classpath.IntegrityClasspathContainerInitializer

-     public class IntegrityClasspathContainerInitializer
      extends org.eclipse.jdt.core.ClasspathContainerInitializer

  Initializer for `IntegrityClasspathContainer`.
  Author:
    Rene Schneider - initial API and implementation

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `PATH` | The path name of the Integrity Classpath Container.

    - ### Fields inherited from class org.eclipse.jdt.core.ClasspathContainerInitializer

      `ATTRIBUTE_NOT_SUPPORTED, ATTRIBUTE_READ_ONLY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IntegrityClasspathContainerInitializer()` | Default constructor for instantiation in Eclipse.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `canUpdateClasspathContainer​(org.eclipse.core.runtime.IPath aContainerPath, org.eclipse.jdt.core.IJavaProject aProject)` |
    `void` | `initialize​(org.eclipse.core.runtime.IPath aContainerPath, org.eclipse.jdt.core.IJavaProject aProject)` |
    `void` | `requestClasspathContainerUpdate​(org.eclipse.core.runtime.IPath aContainerPath, org.eclipse.jdt.core.IJavaProject aProject, org.eclipse.jdt.core.IClasspathContainer aContainerSuggestion)` |

    - ### Methods inherited from class org.eclipse.jdt.core.ClasspathContainerInitializer

      `getAccessRulesStatus, getAttributeStatus, getComparisonID, getDescription, getFailureContainer, getSourceAttachmentStatus`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PATH

          public static final String PATH

      The path name of the Integrity Classpath Container.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### IntegrityClasspathContainerInitializer

          public IntegrityClasspathContainerInitializer()

      Default constructor for instantiation in Eclipse.

  - ### Method Detail

    - #### initialize

          public void initialize​(org.eclipse.core.runtime.IPath aContainerPath,
                                 org.eclipse.jdt.core.IJavaProject aProject)
                          throws org.eclipse.core.runtime.CoreException

      Specified by:
        `initialize` in class `org.eclipse.jdt.core.ClasspathContainerInitializer`
      Throws:
        `org.eclipse.core.runtime.CoreException`

    - #### canUpdateClasspathContainer

          public boolean canUpdateClasspathContainer​(org.eclipse.core.runtime.IPath aContainerPath,
                                                     org.eclipse.jdt.core.IJavaProject aProject)

      Overrides:
        `canUpdateClasspathContainer` in class `org.eclipse.jdt.core.ClasspathContainerInitializer`

    - #### requestClasspathContainerUpdate

          public void requestClasspathContainerUpdate​(org.eclipse.core.runtime.IPath aContainerPath,
                                                      org.eclipse.jdt.core.IJavaProject aProject,
                                                      org.eclipse.jdt.core.IClasspathContainer aContainerSuggestion)
                                               throws org.eclipse.core.runtime.CoreException

      Overrides:
        `requestClasspathContainerUpdate` in class `org.eclipse.jdt.core.ClasspathContainerInitializer`
      Throws:
        `org.eclipse.core.runtime.CoreException`